# File: Quixote-0.5.spec
#
# An independent 'BuildRoot:' directive is used so that that this package
# can be built in the /var/tmp directory, for the case where the existing
# software on the build host would be disrupted by installing-after-build-
# to-package onto that system.
#
# Sample Package Names:
#   Quixote-0.5-1.noarch.rpm
#
####

####
# Section: Preamble (Items Displayed When Users Request Info About Package)
#
# The order of the entries below is unimportant.
#
####

# Uses python v2.2.1
%define PYTHONAPP /usr/bin/python2
%define PYTHONDIR python2.2

Name:               Quixote
Version:            0.5
Release:            1
Copyright:          CNRI OPEN SOURCE LICENSE
Vendor:             MEMS Exchange
URL:                http://www.mems-exchange.org/software/python/quixote
Packager:           Jeff Rush <jrush@taupro.com>
BuildRoot:          /var/tmp/%{name}-%{version}-rootdir
Prereq:             python2

Source0: %{name}-%{version}.tar.gz

#----------------------------------------------------------------------
Summary:            Framework for Web Application Development in Python
Group:              Development/Web Applications
Requires:           python2 >= 2.0
BuildArchitectures: noarch

%description

Quixote is yet another framework for developing Web applications in
Python.  The design goals were:

  1) To allow easy development of Web applications where the
     accent is more on complicated programming logic than
     complicated templating.

  2) To make the templating language as similar to Python as possible,
     in both syntax and semantics.  The aim is to make as many of the
     skills and structural techniques used in writing regular Python
     code applicable to Web applications built using Quixote.

  3) No magic.  When it's not obvious what to do in
     a certain case, Quixote refuses to guess.

If you view a web site as a program, and web pages as subroutines,
Quixote just might be the tool for you.  If you view a web site as a
graphic design showcase, and each web page as an individual work of art,
Quixote is probably not what you're looking for.

########## 
#
# The following environment variables are automatically defined for use
# in any of the following shell scripts:
#
#   RPM_SOURCE_DIR      { where sources originally reside }
#   RPM_BUILD_DIR       { where sources get unpacked into }
#   RPM_DOC_DIR
#   RPM_OPT_FLAGS
#   RPM_ARCH
#   RPM_OS
#   RPM_ROOT_DIR
#   RPM_BUILD_ROOT      { where final images get placed before packaging }
#   RPM_PACKAGE_NAME
#   RPM_PACKAGE_VERSION
#   RPM_PACKAGE_RELEASE
#
##########

####
# Section: Prep Script (Prepare to Build; Usually Just Unpacking the Sources)
####
%prep
# Create Build Subdirectory and Unpack the Main Tar Ball
%setup -q -n %{name}-%{version}

####
# Section: Build Script (Actually Perform the Build; Usually Just 'make')
####
%build

####
# Section: Install-After-Build Script (Often Just 'make install')
####
%install
  rm -rf $RPM_BUILD_ROOT

  %{PYTHONAPP} setup.py install --root $RPM_BUILD_ROOT

  # Precompile Python Source for Faster Imports During Usage
  # (Since user of package may not have write-access to install directory)
  %{PYTHONAPP} -O /usr/lib/%{PYTHONDIR}/compileall.py    -d /usr/lib/%{PYTHONDIR}/  $RPM_BUILD_ROOT/usr/lib/%{PYTHONDIR}
  %{PYTHONAPP}    /usr/lib/%{PYTHONDIR}/compileall.py    -d /usr/lib/%{PYTHONDIR}/  $RPM_BUILD_ROOT/usr/lib/%{PYTHONDIR}

####
# Section: Delivery Install/Uninstall Scripts (Pre/Post Install/Erase Scripts)
####

####
# Section: Verify Script (Check for Proper Installation of Package)
####

####
# Section: Clean Script (Tidy Up Build Area After a Build Completes)
####
%clean
  rm -rf $RPM_BUILD_ROOT

####
# Section: Files (List of Files w/Attributes Making Up Package)
####

%files
  %defattr(-, root, root)

  %doc README TODO LICENSE CHANGES ACKS
  %doc doc/*

  /usr/lib/%{PYTHONDIR}/site-packages/quixote/

%changelog

* Sat Jun 22 2002 Jeff Rush <jrush@taupro.com>
  Updated to Quixote 0.5.

* Wed Nov 14 2001 Jeff Rush <jrush@taupro.com>
  Updated to Quixote 0.4.2.

* Mon Nov 12 2001 Jeff Rush <jrush@taupro.com>
  Packaged Quixote 0.4.1.

